### Method

# Jsonrpc Client send_notification_async

since: 3.26

#### Declaration [src]

    void
    jsonrpc_client_send_notification_async (
      JsonrpcClient* self,
      const gchar* method,
      GVariant* params,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously calls `method` with `params` on the remote peer.

This function will not wait or expect a reply from the peer.

This function is useful when the caller wants to be notified that the bytes have been delivered to the underlying stream. This does not indicate that the peer has received them.

If `params` is floating then the reference is consumed.

Available since: 3.26

#### Parameters

`method`

  Type: `const gchar*`

  The name of the method to call.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GVariant`

  A `GVariant` of parameters or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.